/// #pkgName FGUI包名
/// #prefabName ui预制名字
/// #viewName uiview名字
/// #UIName ui的名字，prefabName首字母转大写
/// 该脚本由模板创建，不可修改
/// created by chenwb 2024

import { FguiViewModel } from "../../../../frameWork/fgui/mvc/FguiViewModel";

export class HomeVM extends FguiViewModel {

    readonly BgRoot: fgui.GComponent;
    readonly EquipCom1: fgui.GComponent;
    readonly EquipCom2: fgui.GComponent;
    readonly EquipCom3: fgui.GComponent;
    readonly EquipCom4: fgui.GComponent;
    readonly EquipCom5: fgui.GComponent;
    readonly EquipCom6: fgui.GComponent;
    readonly EquipCom7: fgui.GComponent;
    readonly EquipCom8: fgui.GComponent;
    readonly BtnWing: fgui.GButton;
    readonly BtnPet: fgui.GButton;
    readonly BtnFish: fgui.GButton;
    readonly BtnSoul: fgui.GButton;
    readonly BtnMarker: fgui.GButton;
    readonly BtnBeast: fgui.GButton;
    readonly EpsCom: fgui.GComponent;
    readonly BtnTask: fgui.GButton;
    readonly BtnShop: fgui.GButton;
    readonly BtnBag: fgui.GButton;
    readonly BtnClub: fgui.GButton;
    readonly BtnPlays: fgui.GButton;
    readonly BtnMore: fgui.GButton;
    readonly ChatCom: fgui.GComponent;
    readonly Bottom: fgui.GGroup;
    readonly GridRoot: fgui.GComponent;
    readonly HeadTopCom: fgui.GComponent;
    readonly HdList: fgui.GList;
    readonly BtnHdKaiFu: fgui.GButton;
    readonly Top: fgui.GGroup;
    readonly HomeMergeBottom: fgui.GComponent;
    readonly EffectComp: fgui.GComponent;

    constructor(panel: fgui.GComponent) {
        super(panel);
        this.BgRoot = panel.getChild("bgRoot") as fgui.GComponent;
        this.EquipCom1 = panel.getChild("EquipCom1") as fgui.GComponent;
        this.EquipCom2 = panel.getChild("EquipCom2") as fgui.GComponent;
        this.EquipCom3 = panel.getChild("EquipCom3") as fgui.GComponent;
        this.EquipCom4 = panel.getChild("EquipCom4") as fgui.GComponent;
        this.EquipCom5 = panel.getChild("EquipCom5") as fgui.GComponent;
        this.EquipCom6 = panel.getChild("EquipCom6") as fgui.GComponent;
        this.EquipCom7 = panel.getChild("EquipCom7") as fgui.GComponent;
        this.EquipCom8 = panel.getChild("EquipCom8") as fgui.GComponent;
        this.BtnWing = panel.getChild("BtnWing") as fgui.GButton;
        this.BtnPet = panel.getChild("BtnPet") as fgui.GButton;
        this.BtnFish = panel.getChild("BtnFish") as fgui.GButton;
        this.BtnSoul = panel.getChild("BtnSoul") as fgui.GButton;
        this.BtnMarker = panel.getChild("BtnMarker") as fgui.GButton;
        this.BtnBeast = panel.getChild("BtnBeast") as fgui.GButton;
        this.EpsCom = panel.getChild("EpsCom") as fgui.GComponent;
        this.BtnTask = panel.getChild("BtnTask") as fgui.GButton;
        this.BtnShop = panel.getChild("BtnShop") as fgui.GButton;
        this.BtnBag = panel.getChild("BtnBag") as fgui.GButton;
        this.BtnClub = panel.getChild("BtnClub") as fgui.GButton;
        this.BtnPlays = panel.getChild("BtnPlays") as fgui.GButton;
        this.BtnMore = panel.getChild("BtnMore") as fgui.GButton;
        this.ChatCom = panel.getChild("ChatCom") as fgui.GComponent;
        this.Bottom = panel.getChild("bottom") as fgui.GGroup;
        this.GridRoot = panel.getChild("gridRoot") as fgui.GComponent;
        this.HeadTopCom = panel.getChild("HeadTopCom") as fgui.GComponent;
        this.HdList = panel.getChild("hdList") as fgui.GList;
        this.BtnHdKaiFu = panel.getChild("BtnHdKaiFu") as fgui.GButton;
        this.Top = panel.getChild("top") as fgui.GGroup;
        this.HomeMergeBottom = panel.getChild("HomeMergeBottom") as fgui.GComponent;
        this.EffectComp = panel.getChild("EffectComp") as fgui.GComponent;

    }
}